# STTA Rev. 1.3 Copyright (c) 2001-2004 Jesús Pérez Lorenzo  --- license GNU GPL 
# stta: (@#) 1.31051043346- [2004_01_29_102036]
# objects.pl for STTA 
 
	if ( $access{'addusr'} && $config{'is_masterHost'} eq "true" ) {  
	        push(@olinks,"?cat=objects&sub=users");
        	push(@links,"_users.pl");
        }
	if ( $access{'addou'} && $config{'is_masterHost'} eq "true"  ) {  
	        push(@olinks,"?cat=objects&sub=ou");
        	push(@links,"_ou.pl");
        }
        if ( $ldapcache_ok eq true ) {
	   if ( $access{'addapps'} && $config{'is_masterHost'} eq "true" ) {  
	        push(@olinks,"?cat=objects&sub=apps");
        	push(@links,"_apps.pl");
           }
	   if ( $access{'addgrpapps'} && $config{'is_masterHost'} eq "true" ) {  
        	push(@olinks,"?cat=objects&sub=grpapps");
        	push(@links,"_grpapps.pl");
           }
	   if ( $access{'addhosts'} && $config{'is_masterHost'} eq "true" ) {  
		push(@olinks,"?cat=objects&sub=hosts");
        	push(@links,"_hosts.pl");
           }
	   if ( $access{'addgrphosts'} && $config{'is_masterHost'} eq "true" ) {  
		push(@olinks,"?cat=objects&sub=grphosts");
        	push(@links,"_grphosts.pl");
           }
        }
        if ( $config{'is_ldapcache'} ne "true" ) { 
	   if ( $access{'addhostsuser'} && $config{'is_masterHost'} eq "true" ) {  
		push(@olinks,"?cat=objects&sub=hostsuser");
        	push(@links,"_hostsuser.pl");
           }
        }
	if ( $access{'addlinks'} && $config{'is_masterHost'} eq "true" ) {  
		push(@olinks,"?cat=objects&sub=links");
        	push(@links,"_links.pl");
        }
        if ( $config{'is_ldapcache'} eq "true" && $ldapcache_ok eq true ) {
		push(@olinks,"?cat=objects&sub=domains");
        	push(@links,"_domains.pl");
        }
        @otitles = map { /^_(\S+).pl/; $text{"index_".$1} } @links;
        @oicons = map { /^_(\S+).pl/; "images/add$1.gif"; } @links;
        if ($interface eq "tabs" ) {
               &outicons_table;
        } else { 
               &icons_table(\@olinks, \@otitles, \@oicons);
        }
